#
# spec file for package meslo-lg-dz-fonts
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           meslo-lg-dz-fonts
Version:        1.2.5
Release:        1.1
Summary:        Meslo LG Font Family
License:        Apache-2.0
Group:          System/X11/Fonts
URL:            https://github.com/andreberg/Meslo-Font
# Upstream source 1.2.1:
# https://github.com/andreberg/Meslo-Font
# Downstream source 1.2.5:
# https://github.com/regularhunter/Meslo-Font
Source0:        Meslo_LG_DZ_v%{version}.zip
Source1:        README.md
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
Meslo LG is a customized version of Apple's Menlo-Regular font (which is
a customized Bitstream Vera Sans Mono). This is the dotted zero version
of Meslo LG which is called Meslo LG DZ.

%prep
%setup -qn "Meslo_LG_DZ_v%{version}"
cp %{SOURCE1} .
# %%doc doesn't work with spaces. Let's rename the file.
mv -f "About Meslo LG DZ v%{version}.pdf" About_Meslo_LG_DZ_v%{version}.pdf

%build

%install
mkdir -p "%{buildroot}/%{_ttfontsdir}"
install -Dpm 644 *.ttf "%{buildroot}/%{_ttfontsdir}/"

%reconfigure_fonts_scriptlets

%files
%doc About_Meslo_LG_DZ_v%{version}.pdf LICENSE COPYRIGHT README.md
%dir %{_ttfontsdir}
%{_ttfontsdir}/*.ttf

%changelog
* Sat May 24 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 1.2.5:
  * Revert invalid OS/2 version back to 3
  * Add license and copyright notice to release archive
* Sat May 24 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Add copyright notice
* Thu May 22 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 1.2.4:
  * Center bold and bold-italic period glyph
* Wed May 21 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 1.2.3:
  * Shorten non-bold comma glyph for consistency with other glyphs
  * Shrink bold period glyph to match other punctuation
  * Revert exclamation point glyph style back to that of Bitstream
    Vera Sans Mono
* Wed Apr  9 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Use readme from master branch instead of devel
* Wed Apr  9 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Correct name in setup macro
* Wed Apr  9 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update setup macro to reflect directory name change
* Wed Apr  9 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to downstream 1.2.2:
  * Fix swapped italic Cyrillic glyphs (issue #37)
  * Fix swapped bold and non-bold period glyph “.” (issue #36)
  * Fix centering on M and N glyphs (issue #34)
  * Remove undesired fi ligature (issue #20)
* Fri Mar 28 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Add dotted zero (DZ) version of meslo-lg-fonts
* Fri Jun 21 2013 lazy.kent@opensuse.org
- Update to 1.2.1.
  * No visible changes for Linux users. For other changes see
    /usr/share/doc/packages/meslo-lg-fonts/README.textile.
  * Add README.textile as a source and install it to docs.
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Tue Apr 24 2012 pgajdos@suse.com
- added COPYING
* Thu Nov 24 2011 lazy.kent@opensuse.org
- Spec clean up.
* Tue Jun 14 2011 lazy.kent@opensuse.org
- Build requires xorg-x11-devel to provide font(:lang=*)
* Mon Jun 13 2011 lazy.kent@opensuse.org
- Initial package created - 1.0
